/*************************************************************************************************
// INTEL CONFIDENTIAL Copyright 2011-2016 Intel Corporation All Rights Reserved.
//
// The source code contained or described herein and all documents related to the source code
// ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material
// remains with Intel Corporation or its suppliers and licensors. The Material contains trade secrets
// and proprietary and confidential information of Intel or its suppliers and licensors. The Material is
// protected by worldwide copyright and trade secret laws and treaty provisions. No part of the
// Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted,
// distributed, or disclosed in any way without Intel's prior express written permission.
//
// No license under any patent, copyright, trade secret or other intellectual property right is
// granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by
// implication, inducement, estoppel or otherwise. Any license under such intellectual property
// rights must be express and approved by Intel in writing.
//*************************************************************************************************/
#ifndef _NVM_EEPROM_H_
#define _NVM_EEPROM_H_

#ifndef EEPROM_SIZE
#define EEPROM_PAGE_SIZE  64
#define EEPROM_PAGE_NUM   256
#define EEPROM_SIZE       (EEPROM_PAGE_SIZE * EEPROM_PAGE_NUM)
#define EEPROM_ADDR_MIN   0
#define EEPROM_ADDR_MAX   (EEPROM_SIZE - 1)
#endif
#define EEPROM_PAGE_SIZE_MAX  64


NTSTATUS
Cmd_ErmRead(
    PNVM_CONTEXT SensorCtx,
    UINT16 Addr,
    UINT8* pData,
    INT32 Length
    );

NTSTATUS
Cmd_ErmWrite(
    PNVM_CONTEXT SensorCtx,
    UINT16 Addr,
    UINT8* pData,
    INT32 Length
    );

#endif
