//*****************************************************************************
// INTEL CORPORATION PROPRIETARY INFORMATION
// This software is supplied under the terms of a license agreement or
// nondisclosure agreement with Intel Corporation and may not be
// copied or disclosed except in accordance with the terms of that
// agreement
//
// Copyright 2021 Intel Corporation. All Rights Reserved.
//*****************************************************************************

// The EEPROM is GT24P64M

#ifndef __EEPROM_GT24P64M__
#define __EEPROM_GT24P64M__

// [TODO] EEPROM

#define GT24P64M_PAGE_SIZE  32     //Column address 0x00 to 0x1F
#define GT24P64M_PAGE_NUM   256    //Page 0x00 to 0xFF
#define GT24P64M_SIZE       (GT24P64M_PAGE_SIZE * GT24P64M_PAGE_NUM) //8Kbyte
#define GT24P64M_ADDR_MIN   0
#define GT24P64M_ADDR_MAX   (GT24P64M_SIZE - 1)

NTSTATUS
Cmd_GT24P64MWrite(
    PNVM_CONTEXT SensorCtx,
    UINT16 Addr,
    UINT8 *pData,
    INT32 Length
);

NTSTATUS
Cmd_GT24P64MRead(
    PNVM_CONTEXT SensorCtx,
    UINT16 Addr,
    UINT8 *pData,
    INT32 Length
);

#endif __EEPROM_GT24P64M__
