/*************************************************************************************************
// INTEL CONFIDENTIAL Copyright 2011-2018 Intel Corporation All Rights Reserved.
//
// The source code contained or described herein and all documents related to the source code
// ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material
// remains with Intel Corporation or its suppliers and licensors. The Material contains trade secrets
// and proprietary and confidential information of Intel or its suppliers and licensors. The Material is
// protected by worldwide copyright and trade secret laws and treaty provisions. No part of the
// Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted,
// distributed, or disclosed in any way without Intel's prior express written permission.
//
// No license under any patent, copyright, trade secret or other intellectual property right is
// granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by
// implication, inducement, estoppel or otherwise. Any license under such intellectual property
// rights must be express and approved by Intel in writing.
//*************************************************************************************************/

// The VCM is bu64297gwz
#ifndef __VCM_BU64297GWZ__
#define __VCM_BU64297GWZ__

#define BU64297GWZ_DEFAULT_POS     1
#define BU64297GWZ_MIN_FOCUS_POS        1    //150
#define BU64297GWZ_MAX_FOCUS_POS        1023 //350
#define BU64297GWZ_HOME_FOCUS_POS       BU64297GWZ_MIN_FOCUS_POS
#define BU64297GWZ_VCM_RUN_STEPS        32
#define BU64297GWZ_VCM_RESET_DELAY      1

NTSTATUS BU64297GWZ_Init(
    PVCM_CONTEXT pSsVcm
    );

NTSTATUS BU64297GWZ_ResetPos(
    PVCM_CONTEXT pSsVcm
    );

NTSTATUS BU64297GWZ_SetPos(
    PVCM_CONTEXT pSsVcm,
    USHORT FocusPos
    );

NTSTATUS BU64297GWZ_GetPos(
    PVCM_CONTEXT pSsVcm,
    USHORT *FocusPos
    );

NTSTATUS BU64297GWZ_GetStatus(
    PVCM_CONTEXT pSsVcm,
    PULONG Status
    );

NTSTATUS BU64297GWZ_GetHPStatus(
    PVCM_CONTEXT pSsVcm,
    PULONG Status
    );

NTSTATUS BU64297GWZ_SetConfig(
    PVCM_CONTEXT pSsVcm,
    SNSR_VCMDATA* pSnsrVcmData
    );

NTSTATUS BU64297GWZ_Test(
    PVCM_CONTEXT pSsVcm
    );

#endif __VCM_BU64297GWZ__
