/*************************************************************************************************
// INTEL CONFIDENTIAL Copyright 2011-2016 Intel Corporation All Rights Reserved.
//
// The source code contained or described herein and all documents related to the source code
// ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material
// remains with Intel Corporation or its suppliers and licensors. The Material contains trade secrets
// and proprietary and confidential information of Intel or its suppliers and licensors. The Material is
// protected by worldwide copyright and trade secret laws and treaty provisions. No part of the
// Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted,
// distributed, or disclosed in any way without Intel's prior express written permission.
//
// No license under any patent, copyright, trade secret or other intellectual property right is
// granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by
// implication, inducement, estoppel or otherwise. Any license under such intellectual property
// rights must be express and approved by Intel in writing.
//*************************************************************************************************/

// The VCM is dw9718
#ifndef __VCM_WV517S__
#define __VCM_WV517S__

//VCM configuration
#define WV517S_DEFAULT_POS    1
#define WV517S_MIN_FOCUS_POS        1    //150
#define WV517S_MAX_FOCUS_POS        1023 //350
#define WV517S_HOME_FOCUS_POS       WV517S_MIN_FOCUS_POS
#define WV517S_VCM_RUN_STEPS        32
#define WV517S_VCM_RESET_DELAY      1
#define WV517S_FocusPos_DataM_Addr  0x41
#define WV517S_FocusPos_DataL_Addr  0x42

NTSTATUS WV517S_Init(
    PVCM_CONTEXT pSsVcm
    );

NTSTATUS WV517S_ResetPos(
    PVCM_CONTEXT pSsVcm
    );

NTSTATUS WV517S_SetPos(
    PVCM_CONTEXT pSsVcm,
    USHORT FocusPos
    );

NTSTATUS WV517S_GetPos(
    PVCM_CONTEXT pSsVcm,
    USHORT *FocusPos
    );

NTSTATUS WV517S_GetStatus(
    PVCM_CONTEXT pSsVcm,
    PULONG Status
    );

NTSTATUS WV517S_GetHPStatus(
    PVCM_CONTEXT pSsVcm,
    PULONG Status
    );

NTSTATUS WV517S_SetConfig(
    PVCM_CONTEXT pSsVcm,
    SNSR_VCMDATA* pSnsrVcmData
    );

NTSTATUS WV517S_Test(
    PVCM_CONTEXT pSsVcm
    );

#endif __VCM_WV517S__
