/*************************************************************************************************
// INTEL CONFIDENTIAL Copyright 2011-2016 Intel Corporation All Rights Reserved.
//
// The source code contained or described herein and all documents related to the source code
// ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material
// remains with Intel Corporation or its suppliers and licensors. The Material contains trade secrets
// and proprietary and confidential information of Intel or its suppliers and licensors. The Material is
// protected by worldwide copyright and trade secret laws and treaty provisions. No part of the
// Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted,
// distributed, or disclosed in any way without Intel's prior express written permission.
//
// No license under any patent, copyright, trade secret or other intellectual property right is
// granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by
// implication, inducement, estoppel or otherwise. Any license under such intellectual property
// rights must be express and approved by Intel in writing.
//*************************************************************************************************/

// Sample Register Setting
static const REGS_SETTING Sample_soft_standby[] = {
    {DATA_8BITS, {0x0100}, 0},
    {DATA_TOKE_TERM, 0, 0}
};
static const REGS_SETTING Sample_streaming[] = {
    {DATA_8BITS, {0x0100}, 1},
    {DATA_TOKE_TERM, 0, 0}
};

static const REGS_SETTING Sample_param_hold[] = {
    {DATA_8BITS, {0x0104}, 0x01},    // GROUPED_PARAMETER_HOLD
    {DATA_TOKE_TERM, 0, 0}
};

static const REGS_SETTING Sample_param_update[] = {
    {DATA_8BITS, {0x0104}, 0x00},    // GROUPED_PARAMETER_HOLD
    {DATA_TOKE_TERM, 0, 0}
};

static const REGS_SETTING Sample_reset[] = {
    {DATA_8BITS, {0x0103}, 0x01},
    {DATA_TOKE_DELAY, 0x00, 1},
    {DATA_TOKE_TERM, 0, 0}
};



static const REGS_SETTING sensor_global_setting[] = {
    {DATA_8BITS, 0x0103, 0x01}, /* software_reset */
    {DATA_TOKE_TERM, 0, 0}
};



static const REGS_SETTING sensor_1932x1092_setting[] = {
    {DATA_8BITS, 0x0100, 0x00}, 
    {DATA_TOKE_TERM, 0, 0}
};

static const REGS_SETTING sensor_2124x1200_setting[] = {
    {DATA_8BITS, 0x0100, 0x00}, 
    {DATA_TOKE_TERM, 0, 0}
};

static const REGS_SETTING sensor_3280x1848_setting[] = {
    {DATA_8BITS, 0x0100, 0x00}, 
    {DATA_TOKE_TERM, 0, 0}
};

static const REGS_SETTING sensor_3280x2464_setting[] = {
    {DATA_8BITS, 0x0100, 0x00}, 
    {DATA_TOKE_TERM, 0, 0}
};


